<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>
        <import type="android.view.View" />
        <variable
            name="status"
            type="Boolean" />
        <variable
            name="search"
            type="Boolean" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <ProgressBar
            android:indeterminateTint="@color/secondary"
            android:id="@+id/progressBar"
            style="?android:attr/progressBarStyle"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:visibility="@{status ? View.VISIBLE : View.GONE}" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:visibility="@{search ? View.VISIBLE : View.GONE}"
                android:elevation="5dp"
                app:cardCornerRadius="5dp"
                android:layout_margin="5dp">

                <EditText
                    android:id="@+id/searchBox"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:textSize="25sp"
                    android:background="#bebebe" />

            </androidx.cardview.widget.CardView>

            <FrameLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                tools:context=".ui.HomeFragment">

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/rv_count"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    tools:listitem="@layout/word_count_card" />
            </FrameLayout>

        </LinearLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>